mirscreencast(1)

NAME
mirscreencast - Mir screencast capture tool

SYNOPSIS
mirscreencast [options]

DESCRIPTION
Capture Mir server frames and dump them as RBGA/BGRA data to file or stdout.

OPTIONS

-h [ --help ]
    Show help text and exit.

-n [ --number-of-frames ] <N> Capture <N> number of frames.

-d [ --display-id ] <ID>
    ID of the display to capture.

-m [ --mir-socket-file ] <mir-server-socket-file-path>
    Full path to the Mir server socket file.

-f [ --file ] <output-file>
    Output filename (default: /tmp/mir_screencast_<w>x<h>.<rgba|bgra>).

-s [ --size ] <width> <height>
    Screencast size.

-r [ --screen-region ]  <left> <top> <width> <height>
    Screen region to capture.

--stdout
    Use stdout for output (--file will be ignored if this option is used).

--query
    Only query the colorspace and output size used but don't start an actual screencast.

--cap-interval <every-Nth-frame>
    Adjusts the capture rate to <every-Nth-frame> display refresh intervals.

    1 -> capture at display rate

    2 -> capture at half the display rate (i.e. every second frame)

    3 -> capture at a third of the display rate (i.e. every second third)

    N -> etc.

SEE ALSO
miral-screencast(1)

AUTHOR
The Mir Display Server has been written by the Mir Server Team at Canonical Ltd.

This man page has been written for the Debian project by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> and may be re-used by others.